HTTP API
Run a one-shot command.
POST /v1/processes/run
POST
/v1/processes/run
Executes a command to completion and returns its stdout, stderr, exit code, and duration. Supports configurable timeout and output size limits.
Request Body required
Section titled “Request Body required ”object
args
Array<string>
command
required
string
cwd
string
env
object
key
additional properties
string
maxOutputBytes
integer
timeoutMs
integer format: int64
Responses
Section titled “ Responses ”One-off command result
object
durationMs
required
integer format: int64
exitCode
integer format: int32
stderr
required
string
stderrTruncated
required
boolean
stdout
required
string
stdoutTruncated
required
boolean
timedOut
required
boolean
Invalid request
object
detail
string
instance
string
status
required
integer format: int32
title
required
string
type
required
string
key
additional properties
Process API unsupported on this platform
object
detail
string
instance
string
status
required
integer format: int32
title
required
string
type
required
string
key
additional properties